Package com.collibra.dgc.core.api.dto.instance.domain

# Class ChangeDomainRequest.Builder

Object
Builder

Enclosing class:
  `ChangeDomainRequest`

public static final class ChangeDomainRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeDomainRequest`
  `build()`
  `ChangeDomainRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeDomainRequest.Builder`
  `communityId(UUID communityId)`
  The ID of the new community for the domain.
  `ChangeDomainRequest.Builder`
  `description(String description)`
  The new description for the domain.
  `ChangeDomainRequest.Builder`
  `excludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)`
  Whether the domain should be excluded from hyperlinking or not.
  `ChangeDomainRequest.Builder`
  `id(UUID id)`
  Required. The ID of the domain to be changed.
  `ChangeDomainRequest.Builder`
  `name(String name)`
  The new name for the domain.
  `ChangeDomainRequest.Builder`
  `removeScopeOverlapOnMove(Boolean removeScopeOverlapOnMove)`
  Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community.
  `String`
  `toString()`
  `ChangeDomainRequest.Builder`
  `typeId(UUID typeId)`
  The ID of the new domain type for the domain.
  `ChangeDomainRequest.Builder`
  `typePublicId(String typePublicId)`
  The public ID of the new domain type for the domain.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeDomainRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeDomainRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeDomainRequest.Builder id(UUID id)
    Required. The ID of the domain to be changed. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### name

    public ChangeDomainRequest.Builder name(String name)
    The new name for the domain.
    Returns:
      `this`.

  - ### communityId

    public ChangeDomainRequest.Builder communityId(UUID communityId)
    The ID of the new community for the domain.
    Returns:
      `this`.

  - ### typeId

    public ChangeDomainRequest.Builder typeId(UUID typeId)
    The ID of the new domain type for the domain.
    Returns:
      `this`.

  - ### description

    public ChangeDomainRequest.Builder description(String description)
    The new description for the domain.
    Returns:
      `this`.

  - ### excludedFromAutoHyperlinking

    public ChangeDomainRequest.Builder excludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)
    Whether the domain should be excluded from hyperlinking or not.
    Returns:
      `this`.

  - ### removeScopeOverlapOnMove

    public ChangeDomainRequest.Builder removeScopeOverlapOnMove(Boolean removeScopeOverlapOnMove)
    Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community.
    Returns:
      `this`.

  - ### typePublicId

    public ChangeDomainRequest.Builder typePublicId(String typePublicId)
    The public ID of the new domain type for the domain.
    Returns:
      `this`.

  - ### build

    public ChangeDomainRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`